#Chapter9: twoway ANOVA examples
ch9ex1 <-read.csv("ex9.1.csv" , header=TRUE) #Ūd9.1
ch9ex2 <-read.csv("ex9.2b.csv", header=TRUE) #Ūd9.2
ch9ex3 <-read.csv("ex9.3b.csv", header=TRUE) #Ūd9.3
 
library(car)
ch9ex1$FA<-recode(ch9ex1$ability,"1='1ǤU';2='2Ǥ';3='3ǤW'")
ch9ex1$FB<-recode(ch9ex1$train,"1='1LVm';2='2Vm'")

#twoway ANOVA independent sample design
ANOVA9.1a <- aov(score~FA*FB,data=ch9ex1)
model.tables(ANOVA9.1a,type="means")
summary(ANOVA9.1a)
TukeyHSD(ANOVA9.1a)
grid(interaction.plot(ch9ex1$FA, ch9ex1$FB, ch9ex1$score,col = 2:3))
ANOVA9.1A1 <- aov(score~FB,data=ch9ex1[which(ch9ex1$ability=="1"),])
ANOVA9.1A2 <- aov(score~FB,data=ch9ex1[which(ch9ex1$ability=="2"),])
ANOVA9.1A3 <- aov(score~FB,data=ch9ex1[which(ch9ex1$ability=="3"),])
ANOVA9.1B1 <- aov(score~FA,data=ch9ex1[which(ch9ex1$train=="1"),])
ANOVA9.1B2 <- aov(score~FA,data=ch9ex1[which(ch9ex1$train=="2"),])
summary(ANOVA9.1A1)

#twoway ANOVA mixed sample design
ANOVA9.2 <- aov(score~T*SEX+S,data=ch9ex2)
model.tables(ANOVA9.2,type="means")
summary(ANOVA9.2)
TukeyHSD(ANOVA9.2)
grid(interaction.plot(ch9ex2$T, ch9ex2$SEX, ch9ex2$score,col = 2:3))
ANOVA9.2T1 <- aov(score~SEX,data=ch9ex2[which(ch9ex2$T=="T1"),])
ANOVA9.2T2 <- aov(score~SEX,data=ch9ex2[which(ch9ex2$T=="T2"),])
ANOVA9.2T3 <- aov(score~SEX,data=ch9ex2[which(ch9ex2$T=="T3"),])
ANOVA9.2T4 <- aov(score~SEX,data=ch9ex2[which(ch9ex2$T=="T4"),])
ANOVA9.2S1 <- aov(score~T,data=ch9ex2[which(ch9ex2$SEX=="M"),])
ANOVA9.2S2 <- aov(score~T,data=ch9ex2[which(ch9ex2$SEX=="F"),])
summary(ANOVA9.2T1)

#twoway ANOVA dependent sample design
ANOVA9.3 <- aov(score~A*B+S,data=ch9ex3)
model.tables(ANOVA9.3,type="means")
summary(ANOVA9.3)
TukeyHSD(ANOVA9.3)
grid(interaction.plot(ch9ex3$B, ch9ex3$A, ch9ex3$score,col = 2:3))
ANOVA9.3A1 <- aov(score~B,data=ch9ex3[which(ch9ex3$A=="a1"),])
ANOVA9.3A2 <- aov(score~B,data=ch9ex3[which(ch9ex3$A=="a2"),])
ANOVA9.3B1 <- aov(score~A,data=ch9ex3[which(ch9ex3$B=="b1"),])
ANOVA9.3B2 <- aov(score~A,data=ch9ex3[which(ch9ex3$B=="b2"),])
ANOVA9.3B3 <- aov(score~A,data=ch9ex3[which(ch9ex3$B=="b3"),])
summary(ANOVA9.3A1)