#Chapter10: Correlation and Regression examples
library(haven)
library(psych)
ch10ex1 <- read_sav("ch10ex1.sav")
ch10ex2 <- read_sav("ch10ex2.sav")
 
#Create the scatter plots
pairs.panels(ch10ex2[2:5],stars=TRUE, alpha=.05)

#compute the correlation coefficients
ch10ex1.cor <- cor(ch10ex1[,-c(1)])    #pⰣFIDܼƥH~Y
lowerMat(ch10ex1.cor)
ch10ex2.cor <- cor(ch10ex2[2:5])       #pⰣFIDܼƥH~Y
lowerMat(ch10ex2.cor)

#significance test for correlation coefficients
cor.test(~ midterm + final,  data=ch10ex1, method="pearson")
cor.test(~ Rmidterm + Rfinal,data=ch10ex1, method="spearm")

library(MASS)
library(ppcor)
cor  (ch10ex2[2:5], method="pearson") #compute correlation coefficients
pcor (ch10ex2[2:5])                   #compute partial correlation coefficients
spcor(ch10ex2[2:5])                   #compute part coefficients

#compute the specific correlation coefficient
cor.test  (ch10ex2$midterm,ch10ex2$final)
pcor.test (ch10ex2[2],ch10ex2[3], ch10ex2[4:5])
spcor.test(ch10ex2[2],ch10ex2[3], ch10ex2[4:5])

#linear regression aalysis
model1 <- lm(final~midterm, data=ch10ex2)                 #simple regression
summary(model1)