#Chapter11: Multiple Regression examples ex11.6
#Ū 
library(foreign)
ex11.6 <- read.spss("ex11.1.sav", to.data.frame=TRUE) #ŪSPSS
#ex11.6 <- read.csv("ex11.1.csv", header=TRUE) #Ūcsv榡

#simultaneous regression
library(pequod)   #wˮMinstall.packages("pequod")
simu.m1<-lmres(grade ~., data=ex11.6[,-c(1)])
summary(simu.m1)


#Stepwise regression model
full.m  <- lm(grade ~., data=ex11.6[,-c(1)])
step.m1 <- step(full.m, direction = "both", trace = FALSE)
step.m2 <- step(full.m, direction = "forward", trace = TRUE)
step.m3 <- step(full.m, direction = "backward", trace = TRUE)
summary(step.m1)
library(lm.beta)
lm.beta(step.m1)
vif(step.m1)

library(rms)        #wˮMinstall.packages("rms")
full.model <- ols(grade ~., data=ex11.6[,-c(1)]) 
step.model <- fastbw(full.model, rule = "p" , sls = 0.05) 
step.model

#hierarchical regression analysis
model1 <- lm(grade ~ gender, data=ex11.6)  
model2 <- update(model1,.~.+absent+homework, data=ex11.6)  
model3 <- update(model2,.~.+midexam+finexam, data=ex11.6) 
model1
model2
model3

lm.beta(model1)
lm.beta(model2)
lm.beta(model3)
anova(model1,model2)        #Hmodel2MSEFܰ˩w
anova(model2,model3)        #Hmodel3MSEFܰ˩w

