#Chapter 16: Confirmatory Factor Analysis using raw data
install.packages("lavaan")
install.packages("semPlot")
library(lavaan) 
ch16.rawdata<-read.csv("ch16.csv", header=TRUE)
ch16.cov<-cov(ch16.rawdata)
ch16.model<-'
  FA =~ L11*A1 + L21*A2 + L31*A3
  FB =~ L12*B1 + L22*B2 + Lr32*B3
  FC =~ L13*C1 + L23*C2 + L33*C3
  FD =~ L14*D1 + L24*D2 + L34*D3
  FE =~ L15*E1 + L25*E2 + L35*E3
  FF =~ L16*F1 + L26*F2 + L36*F3'      #define the measurement model 
ch16.fit<-cfa(model=ch16.model,sample.cov=ch16.cov,
              sample.nobs=313,orthogonal = FALSE)      #define CFA
inspect(ch16.fit)
summary(ch16.fit, fit.measures=TRUE, standard=TRUE)
modificationIndices(ch16.fit)

library(semPlot)
semPaths(ch16.fit, mar = c(30, 1, 30, 1))
semPaths(ch16.fit, 'std', mar = c(30, 1, 30, 1))

